### NAME

Tk_Init - add Tk to an interpreter and make a new Tk application.

### SYNOPSIS

#include <tk.h>
int
Tk_Init(interp)

### ARGUMENTS

Tcl_Interp *interp (in)
  Interpreter in which to load Tk. Tk should not already be loaded in this interpreter.

### DESCRIPTION

Tk_Init is the package initialization procedure for Tk. It is normally invoked by the Tcl_AppInit procedure for an application or by the load command. Tk_Init adds all of Tk's commands to interp and creates a new Tk application, including its main window. If the initialization is successful Tk_Init returns TCL_OK; if there is an error it returns TCL_ERROR. Tk_Init also leaves a result or error message in interp->result.

If there is a variable argv in interp, Tk_Init treats the contents of this variable as a list of options for the new Tk application. The options may have any of the forms documented for the wish application (in fact, wish uses Tk_Init to process its command-line arguments).

### KEYWORDS

application, initialization, load, main window

    Copyright © 1995-1996 Sun Microsystems, Inc.
    Copyright © 1995-1997 Roger E. Critchlow Jr.